/*  YAC: Yet Another Caller ID Program - TiVo Listener
 *  Copyright (C) 2002 Jensen Harris (jensen@sunflowerhead.com)
 *  http://www.sunflowerhead.com
 *
 *  YAC is free software; you can redistribute it and/or modify it under the
 *  terms of the GNU General Public License as published by the Free Software
 *  Foundation; either version 2 of the License, or (at your option) any
 *  later version.
 *
 *  YAC is distributed in the hope that it will be useful, but WITHOUT ANY
 *  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 *  details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with YAC; if not, write to the Free Software Foundation, Inc.,
 *  59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  File: yac.h
 *  Version: 0.15
 *  Last Modified: 11 September 2002
 */

// DEFINES
#define bool                    int
#define true                    1
#define false                   0

#define X_POS_DEFAULT           0
#define Y_POS_DEFAULT           1
#define FG_COLOR_DEFAULT        4
#define BG_COLOR_DEFAULT        13
#define CID_ONSCREEN_DEFAULT    20
#define MAX_CHARS               300
#define PORT_DEFAULT            10629
#define CALL_TAG                "@CALL"
#define BROKEN_LINE             1000

// INCLUDES
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/time.h>
#include <sys/select.h>
#include <fcntl.h>
#include <termios.h>
#include <stdio.h>
#include <signal.h>
#include <time.h>
#include <ctype.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>

// PROTOTYPES
void doYAC();
void CleanUp();
bool DecodeCallerIDInfo(char *szInput, char *szName, char *szNumber);
void DisplayHelp();
void DisplayTextOnOSD();
void FormatTextForTV(char *szText);
int  GetWordBreakPos(char *szText);
bool IsCallerIDInfoAndStripTag(char *szText, int cbLen);
void QuitProgram(int sig);
void ReadLineFromSocket(int fd, char *szText);
void WordWrap(char *szText);
